Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Danny Freeman <[email-masked]>
Date: Thu, 10 Nov 2022 08:47:32 -0500

João Távora <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Ping!  João, any comments on this patch?
>
> Hi Eli, thanks for pinging.  Yes, had a look and _both_ patches look
> fine.
>
> The first patch touches a sensitive part.  I hoped at this point to have
> Eglot's automated test running in Emacs's repo, but I don't.  So I trust
> Danny has given some minimal testing to this, hopefully also with some
> other server, for good measure.

If it gives you some piece of mind, I've been running this code for a
while in some large clojure, clojurescript, and typescript projects,
all without issue. 

I also ran through and did a quick test on a zig project (via zls) and
in the emacs C source (via clangd) this morning. I've not noticed any
issues there either, but also don't know much about either language. 

> The second patch is a little riskier because it has the potential to
> cause much warning noise, but I'd wait and see what it does in the wild.
> If it does happen I think we have some means of toning down warnings
> without making package's warning logic too complex.

I will keep an eye out in this mailing list and try to help resolve any
problems that might come up because of it.

> So again, both patches should be pushed.  I'm in the middle of a
> bisection here, so if you can commit and push the patches, I'd be
> thankful.  Else, I will attend to that later.
>
> João

Thank you!!
-- 
Danny Freeman